SDL_GetGamepadProductVersion(3)

NAME
SDL_GetGamepadProductVersion - Get the product version of an opened gamepad, if available.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

Uint16 SDL_GetGamepadProductVersion(SDL_Gamepad *gamepad);

DESCRIPTION
If the product version isn't available this function returns 0.

FUNCTION PARAMETERS

gamepad
    the gamepad object to query.

RETURN VALUE
Returns the USB product version, or zero if unavailable.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetGamepadInstanceProductVersion(3)